Bug 828307 - [abrt] xfce4-xkb-plugin-0.5.4.1-3.fc17: __stpcpy_sse2: Process /usr/libexec/xfce4/panel-plugins/xfce4-xkb-plugin was killed by signal 11 (SIGSEGV)
[abrt] xfce4-xkb-plugin-0.5.4.1-3.fc17: __stpcpy_sse2: Process /usr/libexec/x...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xfce4-xkb-plugin (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
abrt_hash:224fe950ec8e6c01f9606f33f94...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 10:32 EDT by Antony Kalkakos
Modified: 2012-12-20 10:44 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:44:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (36.58 KB, text/plain)
2012-06-04 10:32 EDT, Antony Kalkakos
no flags Details

  None (edit)
Description Antony Kalkakos 2012-06-04 10:32:12 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/xfce4/panel-plugins/xfce4-xkb-plugin '' 13 18874413 xkb-plugin 'Keyboard Layouts' 'Keyboard layouts setup and switch plugin' ''
comment:        Layouts have been set up from Settings->Keyboard. I use this plugin to just see the selected layout.
crash_function: __stpcpy_sse2
executable:     /usr/libexec/xfce4/panel-plugins/xfce4-xkb-plugin
kernel:         3.3.7-1.fc17.i686
pid:            1115
time:           Mon 04 Jun 2012 05:17:57 PM EEST
uid:            1000
xsession_errors: 

backtrace:      Text file, 37458 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/anthony/2

core_backtrace:
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x8cba8 __stpcpy_sse2 libc.so.6 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x6481c g_stpcpy libglib-2.0.so.0 -
:c7efda0cfcae1469d2920188520fff5f8b4d6602 0xa2c8 xkb_config_update_settings [exe] -
:c7efda0cfcae1469d2920188520fff5f8b4d6602 0xa71f xkb_config_initialize [exe] -
:c7efda0cfcae1469d2920188520fff5f8b4d6602 0x6c47 - [exe] -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xeb4f g_cclosure_marshal_VOID__VOID libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xcd97 g_closure_invoke libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x1ed76 - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26ce1 g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26e64 g_signal_emit libgobject-2.0.so.0 -
:f1c305c893872fa4a0e7d77f388f2833974a5433 0x2ad371 gtk_widget_realize libgtk-x11-2.0.so.0 -
:f1c305c893872fa4a0e7d77f388f2833974a5433 0x2adbd0 gtk_widget_map libgtk-x11-2.0.so.0 -
:f1c305c893872fa4a0e7d77f388f2833974a5433 0x18f472 - libgtk-x11-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xeb9b g_cclosure_marshal_VOID__VOIDv libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xb668 - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xd042 - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26486 g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26e64 g_signal_emit libgobject-2.0.so.0 -
:f1c305c893872fa4a0e7d77f388f2833974a5433 0x2adb78 gtk_widget_map libgtk-x11-2.0.so.0 -
:f1c305c893872fa4a0e7d77f388f2833974a5433 0x2ba2ef - libgtk-x11-2.0.so.0 -
:f1c305c893872fa4a0e7d77f388f2833974a5433 0x18ee95 - libgtk-x11-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xeb9b g_cclosure_marshal_VOID__VOIDv libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xb668 - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xd042 - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26486 g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26e64 g_signal_emit libgobject-2.0.so.0 -
:f1c305c893872fa4a0e7d77f388f2833974a5433 0x2ae7d2 gtk_widget_show libgtk-x11-2.0.so.0 -
:c7efda0cfcae1469d2920188520fff5f8b4d6602 0x56af main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:SSH_AGENT_PID=982
:HOSTNAME=hermes
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/user/.gnupg/S.gpg-agent:1010:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=2e5a3805cf9a4e247fecffa10000000a-1338819472.772984-413974590
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/user/keyring-zji1Eg
:QTINC=/usr/lib/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=user
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-zZPJaRYEm850/agent.850
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/user
:DESKTOP_SESSION=xfce
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/user/.local/bin:/home/user/bin
:QT_IM_MODULE=xim
:PWD=/home/user
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=848
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/user
:XDG_SEAT=seat0
:LOGNAME=user
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-4rLz75dB3B,guid=5332730163ec7a5dd27aaa620000005c
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0.0
:XDG_RUNTIME_DIR=/run/user/user
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:XAUTHORITY=/var/run/gdm/auth-for-user-U8RtJx/database
:_=/usr/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1019,unix/unix:/tmp/.ICE-unix/1019

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 16010                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       16010                16010                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/anthony/.xsession-errors
:pos:	681
:flags:	02002
:2:/home/anthony/.xsession-errors
:pos:	681
:flags:	02002
:3:socket:[19403]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: cb38dd7d-3f26-4016-b74e-4fedc6def6d7
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 5613.10
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) 4 CPU 2.80GHz
:CPU Stepping: 9
:CPU Family: 15
:CPU Model Num: 2
:Number of CPUs: 1
:CPU Speed: 2799
:System Memory: 2017
:System Swap: 4063
:Vendor: MICRO-STAR INC.
:System: MS-6580 20A
:Form factor: Desktop
:Kernel: 3.3.7-1.fc17.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(5348:17176:5868:282) pci, b43-pci-bridge, NETWORK, BCM4318 [AirForce One 54g] 802.11g Wireless LAN Controller
:(32902:9411:5218:22528) pci, None, SERIAL, 845PE Max (MS-6580)
:(32902:9419:5218:22528) pci, ata_piix, STORAGE, 845PE Max (MS-6580)
:(32902:9408:0:0) pci, None, PCI/ISA, 82801DB/DBL (ICH4/ICH4-L) LPC Interface Bridge
:(32902:9413:5218:22528) pci, snd_intel8x0, MULTIMEDIA_AUDIO, 845PE Max (MS-6580)
:(4098:22848:4163:77) pci, None, VIDEO, RV280 [Radeon 9200 PRO] (Secondary)
:(32902:9294:0:0) pci, None, PCI/PCI, 82801 PCI Bridge
:(4098:22880:4163:76) pci, radeon, VIDEO, RV280 [Radeon 9200 PRO]
:(32902:9412:5218:22528) pci, uhci_hcd, USB, 845PE Max (MS-6580)
:(32902:9410:5218:22528) pci, uhci_hcd, USB, 845PE Max (MS-6580)
:(32902:9568:5218:22528) pci, agpgart-intel, HOST/PCI, 845PE Max (MS-6580)
:(32902:9415:5218:22528) pci, uhci_hcd, USB, 845PE Max (MS-6580)
:(32902:4154:32902:4153) pci, e100, ETHERNET, 82801DB PRO/100 VE (CNR) Ethernet Controller
:(32902:9421:5218:14721) pci, ehci_hcd, USB, 845PE Max (MS-6580)
:(32902:9569:0:0) pci, None, PCI/PCI, 82845G/GL[Brookdale-G]/GE/PE Host-to-AGP Bridge
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 18349455 13110733 12927074 4595712 4472991 4472991
:/dev/sda1 /boot ext4 1024 1024 508745 427094 401494 128016 127668 127668
:

var_log_messages:
:Jun  4 10:50:39 hermes abrt[1431]: Saved core dump of pid 1420 (/usr/libexec/xfce4/panel-plugins/xfce4-xkb-plugin) to /var/spool/abrt/ccpp-2012-06-04-10:50:39-1420 (2007040 bytes)
:Jun  4 10:50:40 hermes abrt[1452]: Not dumping repeating crash in '/usr/libexec/xfce4/panel-plugins/xfce4-xkb-plugin'
:Jun  4 10:50:53 hermes abrt[1487]: Not dumping repeating crash in '/usr/libexec/xfce4/panel-plugins/xfce4-xkb-plugin'
:Jun  4 10:51:39 hermes abrt[1508]: Saved core dump of pid 1506 (/usr/libexec/xfce4/panel-plugins/xfce4-xkb-plugin) to /var/spool/abrt/ccpp-2012-06-04-10:51:39-1506 (2007040 bytes)
:Jun  4 10:51:43 hermes abrt[1538]: Not dumping repeating crash in '/usr/libexec/xfce4/panel-plugins/xfce4-xkb-plugin'
:Jun  4 17:17:57 hermes abrt[1123]: Saved core dump of pid 1115 (/usr/libexec/xfce4/panel-plugins/xfce4-xkb-plugin) to /var/spool/abrt/ccpp-2012-06-04-17:17:57-1115 (2007040 bytes)
:Jun  4 17:18:00 hermes abrt[1161]: Not dumping repeating crash in '/usr/libexec/xfce4/panel-plugins/xfce4-xkb-plugin'
Comment 1 Antony Kalkakos 2012-06-04 10:32:23 EDT
Created attachment 589175 [details]
File: backtrace
Comment 2 Fedora Update System 2012-10-15 12:32:07 EDT
xfce4-xkb-plugin-0.5.4.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xfce4-xkb-plugin-0.5.4.3-2.fc18
Comment 3 Fedora Update System 2012-10-15 12:33:06 EDT
xfce4-xkb-plugin-0.5.4.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xfce4-xkb-plugin-0.5.4.3-2.fc17
Comment 4 Fedora Update System 2012-10-15 12:33:48 EDT
xfce4-xkb-plugin-0.5.4.3-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/xfce4-xkb-plugin-0.5.4.3-2.fc16
Comment 5 Fedora Update System 2012-10-15 19:26:25 EDT
Package xfce4-xkb-plugin-0.5.4.3-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xfce4-xkb-plugin-0.5.4.3-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16146/xfce4-xkb-plugin-0.5.4.3-2.fc16
then log in and leave karma (feedback).
Comment 6 RomanShevchenko 2012-11-20 07:58:09 EST
Install Fedora and update it

backtrace_rating: 4
Package: xfce4-xkb-plugin-0.5.4.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Fedora Update System 2012-12-20 10:44:55 EST
xfce4-xkb-plugin-0.5.4.3-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.